##### windows::basic_object_handle::basic_object_handle (2 of 5 overloads)

Construct an object handle without opening it.

    template<
        typename ExecutionContext>
    basic_object_handle(
        ExecutionContext & context,
        typename enable_if< is_convertible< ExecutionContext &, execution_context & >::value, basic_object_handle >::type *  = 0);

This constructor creates an object handle without opening it.

###### Parameters

context

  An execution context which provides the I/O executor that the object handle will use, by default, to dispatch handlers for any asynchronous operations performed on the object handle.